* {
    border: none;
    border-radius: 0;
    font-family: Sarasa Term K;
    font-size: 16px;
    min-height: 0;
}

window#waybar {
    background-color: #0c0c0c;
    color: #D7E5CF;
    transition-property: background-color;
    transition-duration: .5s;
}

#workspaces button {
    padding: 0 3px 2px 3px;
    font-weight: 900;
    color: #d7e5cf;
    background-color: transparent;
    border-top: 2px solid transparent;
}

#workspaces button.persistent {
    color: #8A9997;
    font-weight: normal;
}

#workspaces button.focused {
    border-top: 2px solid #D7E5CF;
}

#mode {
    background-color: #64727D;
    border-bottom: 3px solid #ffffff;
}

#clock,
#battery,
#temperature,
#network,
#pulseaudio,
#tray,
#mode,
#idle_inhibitor,
#mpd {
    padding: 0 10px;
}

/* If workspaces is the leftmost module, omit left margin */
.modules-left > widget:first-child > #workspaces {
    margin-left: 0;
}

/* If workspaces is the rightmost module, omit right margin */
.modules-right > widget:last-child > #workspaces, #tray {
    margin: 0;
}

#clock {
    background-color: inherit;
    color: inherit;
}

#battery {
    background-color: inherit;
}

#battery.charging {
    background-color: inherit;
}

@keyframes blink {
    to {
        background-color: #ffffff;
        color: #000000;
    }
}

#battery.critical:not(.charging) {
    background-color: #f53c3c;
    color: #ffffff;
    animation-name: blink;
    animation-duration: 0.5s;
    animation-timing-function: linear;
    animation-iteration-count: infinite;
    animation-direction: alternate;
}

label:focus {
    background-color: #000000;
}

#cpu {
    background-color: inherit;
    color: inherit;
}

#memory {
    background-color: inherit;
}

#backlight {
    background-color: inherit;
}

#network {
    background-color: inherit;
    color: inherit;
}

#network.disconnected {
}

#pulseaudio {
    background-color: inherit;
    color: inherit;
}

#pulseaudio.muted {
    background-color: inherit;
    color: #444;
}

#temperature {
    background-color: inherit;
}

#temperature.critical {
    background-color: inherit;
}

#tray {
    background-color: #E5A1A1;
}

#idle_inhibitor {
    background-color: #2d3436;
}

#idle_inhibitor.activated {
    background-color: #ecf0f1;
    color: #2d3436;
}

#mpd {
    background-color: inherit;
}

#mpd.disconnected {
    background-color: inherit;
}

#mpd.stopped {
    background-color: inherit;
}

#mpd.paused {
    background-color: inherit;
}
